﻿

using GalaSoft.MvvmLight;

namespace DockManagerTest.ViewModel
{
    public abstract class ViewModelView : ViewModelBase
    {


        private bool _isPinnedNorth;
        private bool _isPinnedSouth;

        public bool IsPinnedNorth
        {
            get { return _isPinnedNorth; }
            set { Set(() => IsPinnedNorth, ref _isPinnedNorth, value); }
        }
        public bool IsPinnedSouth
        {
            get { return _isPinnedSouth; }
            set { Set(() => IsPinnedSouth, ref _isPinnedSouth, value); }
        }

        public ViewModelView()
        {
            IsPinnedNorth = true;
            IsPinnedSouth = false;
        }

    }
}
